package com.ozs.mdm.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: KpiListColumnDTO
 * @Description:KPI服务获取字段信息实体类
 * @author: Zhao You Kai
 * @date: Mar 5, 2019 3:14:21 PM
 */
public class KpiListColumnDTO {
	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("字段名称")
	private String columnName;
	@ApiModelProperty("字段描述")
	private String columnComment;
	@ApiModelProperty("字段类型")
	private Integer columnType;
	@ApiModelProperty("字段长度")
	private Integer length;
	@ApiModelProperty("字段小数位数")
	private Integer numericScale;
	@ApiModelProperty("是否是主键")
	private Integer ifPrimary;
	@ApiModelProperty("是否可为空")
	private Integer ifNull;
	@ApiModelProperty("字段所属表ID")
	private String tableId;
	@ApiModelProperty("字段序列号")
	private String columnCode;

	@ApiModelProperty("创建人ID")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;
	@ApiModelProperty("字段类型名称")
	private String columnTypeName;

	@ApiModelProperty("字段序列号+C字符串")
	private String columnCodeValue;

	@ApiModelProperty("数据表描述")
	private String tableComment;
	@ApiModelProperty("数据表名称")
	private String tableName;
	@ApiModelProperty("数据库名称")
	private String databaseName;
	@ApiModelProperty("数据资源名称")
	private String resourceName;

	public String getColumnCodeValue() {
		return columnCodeValue;
	}

	public void setColumnCodeValue(String columnCodeValue) {
		this.columnCodeValue = columnCodeValue;
	}

	public String getTableComment() {
		return tableComment;
	}

	public void setTableComment(String tableComment) {
		this.tableComment = tableComment;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getDatabaseName() {
		return databaseName;
	}

	public void setDatabaseName(String databaseName) {
		this.databaseName = databaseName;
	}

	public String getResourceName() {
		return resourceName;
	}

	public void setResourceName(String resourceName) {
		this.resourceName = resourceName;
	}

	public String getColumnTypeName() {
		return columnTypeName;
	}

	public void setColumnTypeName(String columnTypeName) {
		this.columnTypeName = columnTypeName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getLength() {
		return length;
	}

	public void setLength(Integer length) {
		this.length = length;
	}

	public Integer getNumericScale() {
		return numericScale;
	}

	public void setNumericScale(Integer numericScale) {
		this.numericScale = numericScale;
	}

	public Integer getIfPrimary() {
		return ifPrimary;
	}

	public void setIfPrimary(Integer ifPrimary) {
		this.ifPrimary = ifPrimary;
	}

	public Integer getIfNull() {
		return ifNull;
	}

	public void setIfNull(Integer ifNull) {
		this.ifNull = ifNull;
	}

	public String getColumnCode() {
		return columnCode;
	}

	public void setColumnCode(String columnCode) {
		this.columnCode = columnCode;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public String getColumnName() {
		return columnName;
	}

	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	public String getColumnComment() {
		return columnComment;
	}

	public void setColumnComment(String columnComment) {
		this.columnComment = columnComment;
	}

	public Integer getColumnType() {
		return columnType;
	}

	public void setColumnType(Integer columnType) {
		this.columnType = columnType;
	}

	public String getTableId() {
		return tableId;
	}

	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
}
